Subject: Re: [PATCH v2 0/5] ARM: simplify handover from UEFI to decompressor

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 13 Apr 2020 17:41:30 +0100

On Mon, Apr 13, 2020 at 06:21:30PM +0200, Ard Biesheuvel wrote:
> The EFI stub in the ARM kernel runs in the context of the firmware, which
> means it runs with the caches and MMU on. Currently, we relocate the zImage
> so it appears in the first 128 MiB, disable the MMU and caches and invoke
> the decompressor via its ordinary entry point. However, since we can pass
> the base of DRAM directly, there is no need to relocate the zImage, which
> also means there is no need to disable and re-enable the caches and create
> new page tables etc.
> 
> This simplification is implemented by patch #5. Patches #1 - #4 are
> prerequisite changes to permit the decompressor to execute from the
> offset chosen by the UEFI firmware.

Why?  The decompressor is already fully relocatable, so this doesn't
explain why all these changes breaking up the single place where data
is stored into multiple smaller pieces, making the code more complex
is really necessary.  To me, this seems ot be change for change sake.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel